
package book.jmx.examples;

import java.util.*;

public class SOAPClient {

  public static void main(String[] args) {

    RemoteMBeanServer server = null;   
    
    try {
      // Lookup and connecto to "MyAgent"
      server = ConnectorFactory.createConnector("SOAP", "MyAgent");

      // invoke queryNames on the remote mbean server
      Iterator it = server.queryNames(null, null).iterator();
      
      while(it.hasNext())
        System.out.println(it.next());
    }
    catch (ConnectorException e) {
      e.printStackTrace();
    }
  }
}
