
package book.jmx.examples;

public class ThreadMonitor implements ThreadMonitorMBean {

    ThreadGroup root = null;
    
    public ThreadMonitor() {
        
        ThreadGroup group = Thread.currentThread().getThreadGroup();
        
        while (group.getParent() != null)
          group = group.getParent();
          
        root = group;
    }
    
    public int getThreadCount() {
      return root.activeCount();
    }
    
}

