
package book.jmx.examples;

public interface UserMBean {

    // read-only attribute 'ID'
    public long getID();
    
    // read-write attribute 'Name'
    public String getName();
    public void setName(String name);
    
    // read-write attribute 'Address'
    public String getAddress();
    public void setAddress(String address);
    
    // read-write array attribute 'PhoneNumbers'
    public String[] getPhoneNumbers();
    public void setPhoneNumbers(String[] numbers);
    
    // write-only attribute 'Password'
    public void setPassword(String passwd);
    
    // management operations
    public String printInfo();
    public void addPhoneNumber(String number);
    public void removePhoneNumber(int index);
}


