
package book.jmx.examples;

public interface XMBeanConstants {

    // resource types
    final static String OBJECT_REF = "ObjectReference";
    
    // notification types
    final static String GENERIC_MODELMBEAN_NOTIFICATION =
        "jmx.modelmbean.generic";
        
    // MBean descriptor field names
    final static String VALUE = "value";
    final static String GET_METHOD = "getMethod";
    final static String SET_METHOD = "setMethod";
    final static String PERSIST_POLICY = "persistPolicy";
    final static String PERSIST_PERIOD = "persistPeriod";
    final static String PERSIST_NAME = "persistName";
    final static String PERSIST_LOCATION = "persistLocation";
    final static String CURRENCY_TIME_LIMIT = "currencyTimeLimit";
    final static String LAST_UPDATED_TIME_STAMP = "lastUpdatedTimeStamp";
    final static String EXPORT = "export";
    
    final static String XML_DEFINITION_URL = "xml.definition.url";
    
    // persistence policies
    final static String ON_UPDATE = "OnUpdate";
    final static String NO_MORE_OFTEN_THAN = "NoMoreOftenThan";
    final static String NEVER = "Never";
    final static String ON_TIMER = "OnTimer";
    
}
