
package book.jmx.examples;

import javax.management.*;


public class Agent {

    // the main method of the class
    public static void main(String[] args) {

        try {
            // create the agent reference
            MBeanServer server = 
                MBeanServerFactory.createMBeanServer();

            // create reference to the MBean
            ObjectName name = 
                new ObjectName("example:name=hello");
        
            // register Hello MBean
            server.registerMBean(new Hello(), name);
        }
        catch (MBeanRegistrationException e) {
            e.printStackTrace();
        }
        catch (NotCompliantMBeanException e) {
            e.printStackTrace();
        }
        catch (MalformedObjectNameException e) {
            e.printStackTrace();
        }
        catch (InstanceAlreadyExistsException e) {
            e.printStackTrace();
        }
    }
}
