
package book.jmx.examples;

import javax.management.*;

public class Agent {

    public static void main(String[] args) {
    try {
      MBeanServer server = 
          MBeanServerFactory.createMBeanServer();

      
      //server.registerMBean(new JMSConnector(), new ObjectName("Connector:transport=JMS"));
      
      //server.registerMBean(new SOAPConnector(), new ObjectName("Connector:transport=SOAP"));
      server.registerMBean(new RMIConnector(), new ObjectName("Connector:transport=RMI"));
      
      // create the adaptor instance
      com.sun.jdmk.comm.HtmlAdaptorServer adaptor =
          new com.sun.jdmk.comm.HtmlAdaptorServer();
      server.registerMBean(adaptor, 
          new ObjectName("adaptor:protocol=HTTP"));
      adaptor.setPort(6000);

//        com.tivoli.jmx.http_pa.Listener adaptor =
//            new com.tivoli.jmx.http_pa.Listener();
//        server.registerMBean(adaptor,
//            new ObjectName("adaptor:protocol=HTTP"));
//        adaptor.startListener();

    }
    catch (Throwable t) {
      if (t instanceof RuntimeMBeanException)
          ((RuntimeMBeanException)t).getTargetException().printStackTrace();
      else if (t instanceof RuntimeErrorException)
          ((RuntimeErrorException)t).getTargetError().printStackTrace();
      else if (t instanceof MBeanException)
          ((MBeanException)t).getTargetException().printStackTrace();
      else    
          t.printStackTrace();
    }
    }
    
}
