
package book.jmx.examples;

import java.util.*;

public class JMSClient {

  public static void main(String[] args) {

    AsyncMBeanServer server = null;   
    
    try {
      server = ConnectorFactory.createAsyncConnector("JMS", "MyAgent");

      Callback cb = server.queryNames(null, null);
      Iterator it = ((Set)cb.get()).iterator();
      
      while(it.hasNext())
        System.out.println(it.next());
    }
    catch (java.rmi.RemoteException e) {
      e.printStackTrace();
    }
    catch (ConnectorException e) {
      e.getTargetException().printStackTrace();
    }
  }
}
